// This file placed in the public domain
// 20 August 2017

module endcap () {
    difference() {
        translate ([0,0,0]) rotate (a = 90)
        cylinder (h=8, d=23.0940,$fn=6, 
            center = false);
        translate ([0,0,3]) 
        // consider increasing diamter by 0.05 
        // to allow for fatter batteries
        cylinder (h=10, d=18.0, $fn=36, center = false);
        translate ([0,0,-1])
        cylinder (h=10, d=12, $fn=36, center = false);
        rotate (a = 120) cube ([30,2.5,4], center = true);
        rotate (a = -120) cube ([30,2.5,4], center = true);
        }
}

module twocaps () {
    union() {
        translate ([-10,0,0])endcap ();
        translate ([10,0,0]) endcap ();
        // OpenSCAD does not like mating surfaces
        // add material to 'weld' them together
        // commented out for export to programs
        // that are not so encumbered
        // translate ([0,0,4]) 
        //cube ([0.5,11.5470,8], center = true);
    }
}

difference () {
    twocaps ();
    cube ([60,8,4], center = true);
}
